
Redmine - Defect #19553

When create by copying the issue, status can not be changed to default

2015-04-03 19:00 - Hirokazu Onozato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.0.2   

Resolution: Fixed Affected version: 3.0.1

Description

If create a issue in the following procedure, the status is not correctly registered.

Copy an issue. (At this point, the status is "Assigned")

Change to other status. (Change to "New")

Pressed to the Create button. Issue is created.

Created issue status is registered in the pre-changed status. (Registered status is "Assigned")

Related issues:

Has duplicate Redmine - Defect #19565: problem with the ticket situation copi... Closed

Associated revisions

Revision 14158 - 2015-04-11 09:09 - Jean-Philippe Lang

When create by copying the issue, status can not be changed to default (#19553).

Revision 14208 - 2015-04-25 09:38 - Jean-Philippe Lang

Merged r14158 (#19553).

History

#1 - 2015-04-04 04:30 - Go MAEDA

- Category set to Issues

I have confirmed the behavior.

It seems to be caused by source:trunk/app/controllers/issues_controller.rb@13535#L430, introduced in r13535.

#2 - 2015-04-04 07:54 - Go MAEDA

Workaround for this issue:

Index: app/controllers/issues_controller.rb

===================================================================

--- app/controllers/issues_controller.rb    (revision 14155)

+++ app/controllers/issues_controller.rb    (working copy)

@@ -425,7 +425,7 @@

     @issue.start_date ||= Date.today if Setting.default_issue_start_date_to_creation_date?

     if attrs = params[:issue].deep_dup

-      if params[:was_default_status] == attrs[:status_id]

+      if action_name == 'new' && params[:was_default_status] == attrs[:status_id]

         attrs.delete(:status_id)

       end

       @issue.safe_attributes = attrs

#3 - 2015-04-05 10:56 - Go MAEDA

- Target version set to 3.0.2

#4 - 2015-04-08 17:18 - Go MAEDA

- Has duplicate Defect #19565: problem with the ticket situation copied, the situation this resetting added

#5 - 2015-04-11 09:09 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/13535/entry/trunk/app/controllers/issues_controller.rb#L430
https://www.redmine.org/projects/redmine/repository/svn/revisions/13535


- Subject changed from When create by copying the issue, status can not be changed. to When create by copying the issue, status can not be

changed to default

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed in r14158 with a test.

#6 - 2015-04-25 09:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed
